<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('contact.phone_number', '083816931711');
        $this->migrator->add('contact.email', 'yadiparfum@gmail.com');
        $this->migrator->add('contact.address', 'Jl. Taman Pahlawan No.41, Nagri Kaler, Kec. Purwakarta, Kabupaten Purwakarta, Jawa Barat 41119');
        $this->migrator->add('contact.map_embed', '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d8867.063325637613!2d107.43739457349945!3d-6.539860399999985!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2e690f57aa3eaf5b%3A0x2bbc334edbb98b17!2sYadi%20Parfum!5e1!3m2!1sen!2sid!4v1760775408540!5m2!1sen!2sid" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>');
    }

    public function down(): void
    {
        $this->migrator->deleteIfExists('contact');
    }
};
